Subject: Re: Driver writer hints (was [PATCH 3/4] Add ETHTOOL_[GS]PFLAGS sub-ioctls)

From: Rick Jones <[email-masked]>
Date: Fri, 10 Aug 2007 14:01:23 -0700

> If we are getting (retrieving) flags:
> 
>     3) Userland issues ETHTOOL_GPFLAGS, to obtain a 32-bit bitmap
> 
>     4) Userland prints out a tag returned from ETHTOOL_GSTRINGS
>        for each bit set to one in the bitmap.  If a bit is set,
>        but there is no string to describe it, that bit is ignored.
>        (i.e. a list of 5 strings is returned, but bit 24 is set)

Is that to enable "hidden" bits?  If not I'd think that emitting some 
sort of "UNKNOWN_FLAG" might help flush-out little oopses like 
forgetting a string.

rick jones